server:
  port: 18095 #启动端口
  servlet:
    context-path: /

spring:
  application:
    name: dxhy-gateway
  profiles:
    active: @deployType@
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8

##请求和响应GZIP压缩支持
#feign:
#  httpclient:
#    enabled: true
#  okhttp:
#    enabled: false
#  compression:
#    request:
#      enabled: true
#      mime-types: text/xml,application/xml,application/json
#      min-request-size: 2048
#    response:
#      enabled: true
#
#gate:
#  ignore:
#    startWith: /auth/jwt,/core/scan/data/upload,
#      /passengerTicket/reimbursementSystem,
#      /admin/jasypt/GetJasypt,/checkLogin,/sso/setcookie,
#      /sso/getUserInfo,/sso/updateUserInfo,/saveUser,
#      /core/tab,/api/invoice/dii,/api/kp
#      /admin/sso,/admin/UKey,/core/scan/uploadImg,/admin/jwt,
#      /flow/reimbursementSystem,
#      /admin/tabulate/upload,/erp/invoice/dii,/erp/invoice/jxpt/api/v5/
#
#
#auth:
#  serviceId: dxhy-admin
#  user:
#    token-header: Authorization
#  client:
#    token-header: x-client-token
#    id: dxhy-gateway  #不填则默认读取spring.application.name
#    secret: 123456
#
##ribbon:
##  eureka:
##    enabled: true
##  ReadTimeout: 60000
##  ConnectTimeout: 60000
##  MaxAutoRetries: 0
##  MaxAutoRetriesNextServer: 1
##  OkToRetryOnAllOperations: false
##  listOfServers: http://127.0.0.1:8761
#hystrix:
#  threadpool:
#    default:
#      coreSize: 1000 ##并发执行的最大线程数，默认10
#      maxQueueSize: 1000 ##BlockingQueue的最大队列数
#      queueSizeRejectionThreshold: 500 ##即使maxQueueSize没有达到，达到queueSizeRejectionThreshold该值后，请求也会被拒绝
#  command:
#    default:
#      execution:
#        isolation:
#          thread:
#            timeoutInMilliseconds: 10000
#
#rabbitmq:
#  prefetchCount: 2  # 个消费者可以fetch的最大消息数量
#  concurrentConsumers: 2 # 设置并发消费者数量
#  maxConcurrentConsumers: 10 # 设置最大消费者数量，自动扩展消费者数量关键配置
#TO_EXCEL_APPLY: TO_EXCEL_APPLY
#TO_INVOICE_LOG: TO_INVOICE_LOG
#TO_INVOICE_STATUS: TO_INVOICE_STATUS
#TO_MESSAGE_LOG: TO_MESSAGE_LOG
#TO_MSG_EXCEL_APPLY: TO_MSG_EXCEL_APPLY
#
## token过期事变
#token:
#  expore: 3600
#
#
#endpoints:
#  enabled: false